.footer__container {
    background: #000;
    color: #FFFFFF;
    padding: 50px 0; 
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    transform: translateY(20px); 
    font-family: 'Kumbh Sans', sans-serif !important;
}

.social__media {
    width: 100%;
    max-width: 1200px;
}

.social__media--wrap {
    display: flex;
    justify-content: space-between; 
    align-items: center; /* Center vertically */
    width: 100%;
    padding: 0 2rem; 
    box-sizing: border-box;
}

.footer__logo {
    color: #fff;
    display: flex;
    align-items: center;
    cursor: pointer;
    text-decoration: none;
    font-size: 1.8rem;
}

/* EFFETTO HOVER SUL LOGO */
.footer__logo img {
    transition: transform 0.3s ease;
}

.footer__logo:hover img {
    transform: scale(1.2);
}

.website__rights {
    color: #fff;
    font-size: 14px;
    text-align: center;
    margin: 20px 0; 
}

.social__icons {
    display: flex;
    align-items: center;
    justify-content: center;
}

.social__icon--link {
    color: #fff;
    font-size: 1.5em;
    margin: 0 10px;
    transition: transform 0.3s ease;
}

.social__icon--link:hover {
    transform: scale(1.2);
}

@media screen and (max-width: 768px) {
    .social__media--wrap {
        flex-direction: column;
        justify-content: center;
        align-items: center;
        text-align: center;
    }

    .footer__logo {
        margin-bottom: 15px;
    }

    .website__rights {
        margin: 10px 0;
    }

    .social__icons {
        margin-top: 15px;
    }
}